#! /bin/sh

# FAIL: A file never added to BRANCH is nevertheless included on
# BRANCH.

set -e
set -x

CVSROOT=$(pwd)/cvs
export CVSROOT

rm -rf cvs wc git $HOME/.cvsps

cvs init
cvs co -d wc .
(
    cd wc
    mkdir module
    cvs add module
)
(
    cd wc/module
    echo '1.1' >a.txt
    echo '1.1' >b.txt
    cvs add a.txt b.txt
    cvs commit -m 'Add files'
    # Add only a.txt to BRANCH:
    cvs tag -b BRANCH a.txt
    # We have to make a commit on BRANCH, otherwise the branch will be
    # entirely ignored by cvsimport:
    cvs up -r BRANCH
    echo '1.1.2.1' >a.txt
    cvs commit -m 'Revision 1.1.2.1'
)
git cvsimport -a -C git module
(
    cd git
    gitk --all &
)
